<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\alquiler;
use App\Models\arrendatario;
use App\Models\detalle_alquiler;
use App\Models\detallealquiler;
use App\Models\inmueble;
use Illuminate\Support\Facades\DB;
use Barryvdh\DomPDF\Facade\Pdf;

class AlquierController extends Controller
{
    public function index()
    {
        $alquiler=alquiler::orderBy('id', 'desc')->paginate(8);
        $arrendatario = arrendatario::all();
        $inmueble = inmueble::all();
        return view('alquiler.index', compact('alquiler','arrendatario','inmueble'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        $alquiler = alquiler::all();
        $arrendatario = arrendatario::all();
        $inmueble = inmueble::all();
        return view('alquiler.create', compact('alquiler', 'arrendatario','inmueble'));
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
    // Obtener datos del formulario
    $id_arrendatario = $request->input('idarrendatario');
    $detalle = $request->input('detallesAlquiler');
    $subtotal = ($request->input('subtotal'));
    $total = ($request->input('total'));

    // Iniciar la transacción
    DB::beginTransaction();

    try {
        // Crear la venta
        $alquiler = new alquiler();
        $alquiler->id_arrendatario = $id_arrendatario;
        $alquiler->fecha = now();  // Puedes ajustar la fecha según tus necesidades
        $alquiler->subtotal = $subtotal; 
        $alquiler->total = $total;
        $alquiler->save();

        // Obtener el ID de la venta recién creada
        $id_alquiler= $alquiler->id;
        // Insertar los detalles de la venta
        foreach ($detalle as $item) {
            $id_inmueble = intval($item['id']);
            $mesespago = str($item['meses']);
            $monto = intval($item['monto']);
          
        
            $detallealquiler = new detallealquiler();
            $detallealquiler->id_alquiler = $id_alquiler;
            $detallealquiler->id_inmueble = $id_inmueble;  // Ajusta el nombre según tu formulario
            $detallealquiler->meses = $mesespago;
            $detallealquiler->monto = $monto;
            $detallealquiler->save();
        }

        // Confirmar la transacción
        DB::commit();

        return response()->json(['success' => true, 'message' => 'Pago realizada con éxito', 'alquiler_id' => $id_alquiler]);
    } catch (\Exception $e) {
        // Deshacer la transacción en caso de error
        DB::rollBack();

        return response()->json(['success' => false, 'message' => 'Error al realizar el Pago', 'error' => $e->getMessage()]);
    }
}


    public function show(alquiler $alquiler)
    {
        $alquiler->load('arrendatario', 'detallealquiler');
        return view('alquiler.show', compact('alquiler'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
    public function export(string $id)
    {
        $alquiler = alquiler::with('arrendatario', 'detalleAlquiler')->find($id);
        $pdf = pdf::loadView('alquiler.export', ['alquiler' => $alquiler]);
        return $pdf->stream('boleta_de_alquiler.pdf');
    }
    public function search(Request $request)
    {
        $searchTerm = $request->input('query');
    
        // Filtrar los resultados con el término de búsqueda
        $alquiler = Alquiler::whereHas('arrendatario', function($query) use ($searchTerm) {
            $query->where('nombre', 'LIKE', '%' . $searchTerm . '%');
        })->paginate(10); // Pagina los resultados si es necesario
    
        return view('alquiler.table', compact('alquiler'));
    }
    
    
}
