<?php

namespace App\Http\Controllers;

use App\Models\arrendatario;
use App\Models\inmueble;
use Illuminate\Http\Request;

class ArrendatarioController extends Controller
{
      /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $arrendatario=arrendatario::orderBy('id', 'desc')->paginate(10);
        $inmueble=inmueble::all();
        return view('arrendatario.index', compact('arrendatario','inmueble'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        $arrendatario=arrendatario::all();
        $inmueble=inmueble::all();
        return view('arrendatario.create', compact('arrendatario','inmueble'));
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $arrendatario=new arrendatario();
        $arrendatario->nombre = $request->input('nombre');
        $arrendatario->dni = $request->input('dni');
        $arrendatario->save();
        return redirect()->back()->with('info', 'guardado Correctamente');
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
   // Encuentra el arrendatario por ID
   $arrendatario = arrendatario::find($id);

   // Verifica si se encontró el arrendatario
   if (!$arrendatario) {
       return redirect()->back()->with('error', 'Arrendatario no encontrado');
   }

   // Actualiza los campos con los datos del request
   $arrendatario->nombre = $request->input('nombre');
   $arrendatario->dni = $request->input('dni');
   $arrendatario->save();

   // Redirecciona con un mensaje de éxito
   return redirect()->back()->with('info', 'Actualizado correctamente');
    }


    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
    public function search(Request $request)
    {
        $searchTerm = $request->input('query');

        // Filtrar los resultados con el trmino de bsqueda
        $arrendatario = Arrendatario::where('nombre', 'LIKE', '%' . $searchTerm . '%')
                                    ->orWhere('dni', 'LIKE', '%' . $searchTerm . '%')
                                    ->paginate(10);

        return view('arrendatario.table', compact('arrendatario'));
    }

}
