<?php

namespace App\Http\Controllers;

use App\Models\cinerarios;
use App\Models\difuntos_cremados;
use App\Models\familiar_difuntos_cremados;
use App\Models\Pabellon;
use App\Models\recibo_cinerario;
use Illuminate\Http\Request;


class CinerarioController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index(Request $request)
    {
        $pabellon_id = $request->get('pabellon_id');
    
        $cinerarios = collect(); // Inicializar como colección vacía
    
        if ($pabellon_id) {
            $cinerarios = cinerarios::where('id_pabellon', $pabellon_id)->orderBy('id', 'asc')->get();
        }
    
        $difuntos_cremados = difuntos_cremados::orderBy('id', 'asc')->get();
        $familiar_difuntos_cremados = familiar_difuntos_cremados::orderBy('id', 'asc')->get();
    
        return view('cinerarios.index', compact('cinerarios', 'difuntos_cremados', 'familiar_difuntos_cremados'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create($id_cinerario)
    {
        $cinerarios = cinerarios::findOrFail($id_cinerario); // Assuming Nicho is your model name
        $familiar_difuntos_cremados = familiar_difuntos_cremados::all();
        $difuntos_cremados = difuntos_cremados::all();
        $recibo_cinerario = recibo_cinerario::all();
        return view('cinerarios.create', compact('cinerarios', 'difuntos_cremados', 'familiar_difuntos_cremados'));
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        // Find the record in the database based on the $id parameter
    $cinerarios = cinerarios::find($id);

    // Update the 'estado_nicho' field of the found record with the value from the request
    $cinerarios->estado_cinerario = $request->input('estado_cinerario');

    // Save the updated record back to the database
    $cinerarios->save();

    // Redirect back to the previous page (typically the page from where the update request was made)
    // with a flash message 'info' indicating successful update
    return redirect()->route('pabellon')->with('info', 'Actualizado correctamente');
    }


    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
