<?php

namespace App\Http\Controllers;

use App\Models\inmueble;
use Illuminate\Http\Request;

class InmuebleController extends Controller
{
  /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $inmueble=inmueble::all();
        return view('inmueble.index', compact('inmueble'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $inmueble=new inmueble();
        $inmueble->direccion = $request->input('direccion');
        if ($request->hasFile('foto')) {
            $file = $request->file('foto');
            $destinationPath = 'img/foto';
            $filename = time() . '-' . $file->getClientOriginalName();
            if ($file->move($destinationPath, $filename)) {
                // Save the image path relative to the pavilion
                $inmueble->imagen_inmueble = $destinationPath . '/' . $filename;
            } else {
                return response()->json(['success' => false, 'message' => 'Error al subir la foto']);
            }
        }
        $inmueble->save();
        return redirect()->back()->with('info', 'guardado Correctamente');
    }


    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
    $inmueble = Inmueble::find($id);
    
    if (!$inmueble) {
        return response()->json(['success' => false, 'message' => 'Inmueble no encontrado'], 404);
    }
    
    if ($request->has('direccion')) {
        $inmueble->direccion = $request->input('direccion');
    }
    if ($request->hasFile('foto')) {
        $file = $request->file('foto');
        $destinationPath = 'img/foto';
        $filename = time() . '-' . $file->getClientOriginalName();
        
        if ($file->move($destinationPath, $filename)) {
      
            $inmueble->imagen_inmueble = $destinationPath . '/' . $filename;
        } else {
            return response()->json(['success' => false, 'message' => 'Error al subir la nueva foto'], 500);
        }
    }
    $inmueble->save();
    return redirect()->back()->with('info', 'Actualización exitosa');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }

}
