<?php

namespace App\Http\Controllers;

use App\Models\difunto;
use App\Models\familiar;
use App\Models\nichos;
use App\Models\Pabellon;
use App\Models\recibo;
use Illuminate\Http\Request;

class NichosController extends Controller
{
      /**
     * Display a listing of the resource.
     */
    public function index(Request $request)
    {
        $pabellon_id = $request->get('pabellon_id');
      
    
        $nichos = collect(); // Inicializar como colección vacía
    
        if ($pabellon_id) {
            $nichos = Nichos::where('id_pabellon', $pabellon_id)->orderBy('id', 'asc')->get();
        }
    
        $difunto = Difunto::orderBy('id', 'asc')->get();
        $familiar = Familiar::orderBy('id', 'asc')->get();
    
        return view('nichos.index', compact('nichos', 'difunto', 'familiar'));
    }

    
    public function create($id_nicho)
    {
        $nicho = nichos::findOrFail($id_nicho); // Assuming Nicho is your model name
        $familiar = familiar::all();
        $difunto = difunto::all();
        $recibos = recibo::all();
        return view('nichos.create', compact('nicho','familiar','difunto','recibos'));
    }
    

     
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

   

    // Método para actualizar la información del nicho
    public function update(Request $request, string $id)
    {
        // Find the record in the database based on the $id parameter
    $nicho = nichos::find($id);

    // Update the 'estado_nicho' field of the found record with the value from the request
    $nicho->estado_nicho = $request->input('estado_nicho');

    // Save the updated record back to the database
    $nicho->save();

    // Redirect back to the previous page (typically the page from where the update request was made)
    // with a flash message 'info' indicating successful update
    return redirect()->route('pabellon')->with('info', 'Actualizado correctamente');
    }


    /**
 * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
   

}
