<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('nichos', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('id_pabellon');     
            $table->string('fila')->default(0); // Puedes ajustar el valor por defecto según sea necesario
            $table->integer('columna')->default(0); // Puedes ajustar el valor por defecto según sea necesario
            $table->enum('estado_nicho', ['Libre','Reservado','Ocupado']);
            $table->decimal('precio_nicho')->nullable();
            $table->foreign('id_pabellon')->references('id')->on('pabellons');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('nichos');
    }
};
