<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('difuntos', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('id_nicho');
            $table->string('nombre');
            $table->string('apellido_paterno');
            $table->string('apellido_materno');
            $table->string('dni')->unique();
            $table->string('causa_de_muerte')->nullable();
            $table->string('acta_de_defuncion')->nullable();
            $table->string('certificado_de_defuncion')->nullable();
            $table->date('fecha_muerte')->nullable();
            $table->foreign('id_nicho')->references('id')->on('nichos');

        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('difuntos');
    }
};
