<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('difuntos_cremados', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('id_cinerario');
            $table->string('nombre');
            $table->string('apellido_paterno');
            $table->string('apellido_materno');
            $table->string('dni');
            $table->string('causa_de_muerte');
            $table->string('acta_de_defuncion')->nullable();
            $table->string('certificado_de_defuncion')->nullable();
            $table->date('fecha_muerte');
            $table->foreign('id_cinerario')->references('id')->on('cinerarios');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('difuntos_cremados');
    }
};
