@extends('adminlte::page')

@section('title', 'Dashboard')

@section('content_header')

@stop

@section('content')
<div class="container mt-5">
    <h2 class="mb-4">Cobro de Lapida</h2>
    <form method="POST" action="{{ route('lapida.store') }}" id="formVenta">
        @csrf
        <div class="row">
            <div class="col-md-12">
                <div class="row" id="res"></div>
                <div class="row mt-3">
                    <div class="col-md-9">
                        <label class="labels">SOLICITANTE</label>
                        <input type="text" id="solicitante" name="solicitante" class="form-control"
                                                 placeholder="Ingresar solicitante" required>

                    </div>
                    <div class="col-md-3">
                        <label class="labels">DNI</label>
                        <input type="text" id="dni" name="dni" class="form-control" required>
                    </div>
                </div>
                <div class="row mt-3">
                    <div class="col-md-9">
                        <label class="labels">FALLECIDO</label>
                        <input type="text" id="fallecido" name="fallecido" class="form-control"
                               placeholder="Ingresar fallecido" required>
                    </div>
                    <div class="col-md-3">
                        <label class="labels">COSTO</label>
                        <input type="text" id="costo" name="costo" class="form-control" required>
                    </div>

                </div>
                <div class="row mt-3">
                    <div class="col-md-12">
                        <label class="labels">&nbsp;</label>
                        <button class="btn btn-success btn-block" type="submit" id="btnboleta"><i
                                class="fa fa-plus"></i> Generar Boleta
                        </button>
                        <button class="btn btn-warning btn-block" type="button" id="btnLimpiar">
                            Limpiar
                        </button>
                    </div>
                </div>
            </div>
        </div>
@stop

@section('css')
    {{-- Add here extra stylesheets --}}
    {{-- <link rel="stylesheet" href="/css/admin_custom.css"> --}}
@stop

@section('js')

<script>
   $(document).ready(function() {
    // Manejar el evento de clic en el botón Registrar
    $('#btnboleta').click(function(event) {
        // Evitar que el formulario se envíe automáticamente
        event.preventDefault();

        // Validar que todos los campos requeridos estén llenos
        var form = $('#formVenta')[0];
        if (form.checkValidity() === false) {
            // Si hay campos requeridos vacíos, mostrar un mensaje de error
            alert('Por favor complete todos los campos requeridos.');
            form.classList.add('was-validated');
            return;
        }

        // Obtener los datos del formulario
        var formData = $('#formVenta').serialize();

        // Realizar la solicitud AJAX al servidor
        $.ajax({
            url: 'https://beneficenciaguadalupe.com/sistemanichos/public/lapida/store',
            method: 'POST',
            data: formData,
            success: function(response) {
                if (response.success) {
                    // Obtener el ID del recibo
                    var lapidaId = response.lapida_id;

                    // Construir la URL para generar la boleta
                    var url = '{{ route("lapida.export", ":id") }}'.replace(':id', lapidaId);

                    // Abrir la boleta en una nueva ventana
                    window.open(url, '_blank');

                    // Redirigir a la página de ventas
                    window.location.href = 'https://beneficenciaguadalupe.com/sistemanichos/public/lapida';
                } else {
                    alert('Error al Registrar Difunto');
                }
            },
            error: function() {
                alert('Error de conexión');
            }
        });
    });

});
</script>

@stop
