@extends('adminlte::page')

@section('title', 'Dashboard')

@section('content_header')
    <h1></h1>
@stop

@section('content')
<div class="d-flex align-items-center justify-content-between">
    <h2 class="mb-0">COBRO DE LAPIDAS</h2>
    <a href="{{ route('lapida.create') }}" class="btn btn-primary">
        Realizar Cobro
    </a>
</div>
<hr/>

<!-- Campo de búsqueda -->
<div class="input-group mb-3">
    <input type="text" id="searchInput" class="form-control" placeholder="Buscar por solicitante..." value="{{ request()->input('searchTerm', '') }}">
</div>

<div id="table-container">
    @include('lapida.table', ['lapida' => $lapida])
</div>
@stop

@section('css')
    {{-- Add here extra stylesheets --}}
    {{-- <link rel="stylesheet" href="/css/admin_custom.css"> --}}
@stop

@section('js')
    <script>
        document.addEventListener('DOMContentLoaded', function () {
            const searchInput = document.getElementById('searchInput');

            searchInput.addEventListener('input', function () {
                const searchTerm = searchInput.value.toLowerCase().trim();

                // Realizar la búsqueda mediante AJAX
                fetch(`{{ route('lapida.search') }}?query=${searchTerm}`)
                    .then(response => response.text())
                    .then(html => {
                        // Reemplazar el contenido de la tabla con los resultados filtrados
                        document.getElementById('table-container').innerHTML = html;
                    })
                    .catch(error => console.error('Error:', error));
            });
        });
    </script>
@stop
