<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Recibo Venta de Cinerario</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #fff;
            color: #000;
            margin: 0;
            padding: 0;
            line-height: 0.5; /* Ajustar el interlineado de todo el documento */
        }
        .container {
            max-width: 800px;
            margin: 30px auto;
            padding: 20px;
            border: 2px solid #000;
            border-radius: 10px;
        }
        h1 {
            text-align: center;
            color: #000;
        }
        .header {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 10px;
        }
        .header-right {
            text-align: right;
            margin: 0;
        }
        .header-right h2 {
            margin: 0;
        }
        .info-client p {
            margin: 8px 0; /* Reducir el margen superior e inferior de los párrafos */
            line-height: 1.2; /* Ajustar el interlineado de los párrafos */
        }
        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 0px; /* Reducir el margen superior de la tabla */
        }
        th, td {
            border: 1px solid #000;
            padding: 8px; /* Reducir el espacio alrededor del contenido de las celdas */
            text-align: left;
            line-height: 1.2; /* Ajustar el interlineado de las celdas */
        }
        th {
            background-color: #000;
            color: #fff;
        }
        tfoot {
            font-weight: bold;
        }
        .text-center {
            text-align: center;
        }
        h2 {
            text-align: center;
            color: #000;
        }
        .signature {
            margin-top: 30px;
            display: flex;
            justify-content: space-between;
        }
        .signature p {
            width: 45%;
            text-align: center;
        }
    </style>
</head>
<body>
<div class="container">
    <h1>Recibo Venta de Cinerario</h1>
    <div class="header">
        <div class="header-right">
            <h2>ID Recibo: C0000<?php echo e($recibo_cinerarios->id); ?></h2>
        </div>
    </div>
    <div class="info-client">
        <h2>Información del Solicitante</h2>
        <p><strong>Señor(a):</strong> <?php echo e($recibo_cinerarios->familiar_difuntos_cremados->nombre ?? 'No disponible'); ?>

            <?php echo e($recibo_cinerarios->familiar_difuntos_cremados->apellido_paterno ?? 'No disponible'); ?>

            <?php echo e($recibo_cinerarios->familiar_difuntos_cremados->apellido_materno ?? 'No disponible'); ?></p>
        <p><strong>Dni:</strong> <?php echo e($recibo_cinerarios->familiar_difuntos_cremados->dni ?? 'No disponible'); ?></p>
        <p><strong>Fecha:</strong> <?php echo e(\Carbon\Carbon::now()->format('d/m/Y')); ?></p>
    </div>
    <div>
        <h2 class="text-center">Detalles del Cinerario</h2>
        <table>
            <thead>
            <tr>
                <th>Pabellon</th>
                <th>Lado</th>
                <th>Numero Cinerario</th>
                <th>Difunto(a)</th>
                <th>Precio del Cinerario</th>
            </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $recibo_cinerarios->detalle_recibo_cinerario; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detalle): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($detalle->cinerarios->pabellon->nombre_pabellon); ?></td>
                    <td><?php echo e($detalle->cinerarios->pabellon->lado_pabellon); ?></td>
                    <td><?php echo e($detalle->cinerarios->numero); ?></td>
                    <td><?php echo e($detalle->difuntos_cremados->nombre); ?> <?php echo e($detalle->difuntos_cremados->apellido_paterno); ?> <?php echo e($detalle->difuntos_cremados->apellido_materno); ?></td>
                    <td><?php echo e($detalle->cinerarios->precio_cinerario); ?></td>
        
            </tbody>
        </table>
    </div>
</div>
<br>
<br>
<div class="container">
    <h1>Orden de Colocacion de Cinerario</h1>
    <div class="header">
        <div class="header-right">
            <h2>N°: OC0000<?php echo e($recibo_cinerarios->id); ?></h2>
        </div>
    </div>
    <div class="info-client">
        <h2>Sr.Administrador del Cementerio Tomas LaFora</h2>
        <p><strong>El Señor(a)</strong> <?php echo e($recibo_cinerarios->familiar_difuntos_cremados->nombre ?? 'No disponible'); ?>

            <?php echo e($recibo_cinerarios->familiar_difuntos_cremados->apellido_paterno ?? 'No disponible'); ?>

            <?php echo e($recibo_cinerarios->familiar_difuntos_cremados->apellido_materno ?? 'No disponible'); ?>

        Ha abonado en esta tesoreria el valor de un cinerario para <?php echo e($detalle->difuntos_cremados->nombre); ?> <?php echo e($detalle->difuntos_cremados->apellido_paterno); ?> <?php echo e($detalle->difuntos_cremados->apellido_materno); ?>

        que sera sepultado(a) en el cuartel <?php echo e($detalle->cinerarios->pabellon->nombre_pabellon); ?> lado <?php echo e($detalle->cinerarios->pabellon->lado_pabellon); ?> Cinerario numero <?php echo e($detalle->cinerarios->numero); ?> 
        .</p>
        <p style="text-align: right;"><strong>Guadalupe: </strong><?php echo e(\Carbon\Carbon::now()->locale('es')->isoFormat('D [de] MMMM [del] YYYY')); ?></p>

    </div>

    <div class="signature">
        <p style="margin-top: 50px; text-align: center;">
            _____________________________<br><br><br>
            Firma del Gerente
        </p>
    </div>
</div>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</body>
</html>
<?php /**PATH C:\xampp\htdocs\sistemanichos\resources\views/recibo_cinerario/export.blade.php ENDPATH**/ ?>