<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Recibo Colocacion de Lapida</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #fff;
            color: #000;
            margin: 0;
            padding: 0;
            line-height: 0.5; /* Ajustar el interlineado de todo el documento */
        }
        .container {
            max-width: 800px;
            margin: 30px auto;
            padding: 20px;
            border: 2px solid #000;
            border-radius: 10px;
        }
        h1 {
            text-align: center;
            color: #000;
        }
        .header {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 10px;
        }
        .header-right {
            text-align: right;
            margin: 0;
        }
        .header-right h2 {
            margin: 0;
        }
        .info-client p {
            margin: 8px 0; /* Reducir el margen superior e inferior de los párrafos */
            line-height: 1.2; /* Ajustar el interlineado de los párrafos */
        }
        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 0px; /* Reducir el margen superior de la tabla */
        }
        th, td {
            border: 1px solid #000;
            padding: 8px; /* Reducir el espacio alrededor del contenido de las celdas */
            text-align: left;
            line-height: 1.2; /* Ajustar el interlineado de las celdas */
        }
        th {
            background-color: #000;
            color: #fff;
        }
        tfoot {
            font-weight: bold;
        }
        .text-center {
            text-align: center;
        }
        h2 {
            text-align: center;
            color: #000;
        }
        .signature {
            margin-top: 30px;
            display: flex;
            justify-content: space-between;
        }
        .signature p {
            width: 45%;
            text-align: center;
        }
    </style>
</head>
<body>
<div class="container">
    <h1>Recibo Colocacion de Lapida</h1>
    <div class="header">
        <div class="header-right">
            <h2>ID Recibo: L0000<?php echo e($lapida->id); ?></h2>
        </div>
    </div>
    <div class="info-client">
        <h2>Información del Solicitante</h2>
        <p><strong>Señor(a):</strong> <?php echo e($lapida->solicitante->nombre); ?></p>
        <p><strong>Dni:</strong> <?php echo e($lapida->solicitante->dni); ?></p>
        <p><strong>Fecha:</strong> <?php echo e(\Carbon\Carbon::now()->format('d/m/Y')); ?></p>
    </div>
    <div>
        <h2 class="text-center">Detalles</h2>
        <table>
            <thead>
            <tr>
                <th>ID</th>
                <th>Fallecido </th>
                <th>Costo</th>
            </tr>
            </thead>
            <tbody>
            <?php $__currentLoopData = $lapida->detalle_lapida; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detalle): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               
            <tr>
                <td><?php echo e($detalle->sepultado->id); ?></td>
                <td><?php echo e($detalle->sepultado->nombres); ?></td>
                <td><?php echo e($detalle->costo); ?></td>
            </tr>

            </tbody>
        </table>
    </div>
</div>
<br>
<br>
<div class="container">
    <h1>Orden de Colocacion de Lapida</h1>
    <div class="header">
        <div class="header-right">
            <h2>N°: CL0000<?php echo e($lapida->id); ?></h2>
        </div>
    </div>
    <div class="info-client">
        <h2>Sr.Administrador del Cementerio Tomas LaFora</h2>
        <p><strong>El Señor(a)</strong>  <?php echo e($lapida->solicitante->nombre); ?> esta aurotizado para
        colocar una lapida en el nicho de <?php echo e($detalle->sepultado->nombres); ?>, dicho trabajo
        lo realizara un albañil particular el dia _______ de _______________ del 202____.  </p>
        <p style="text-align: right;"><strong>Guadalupe: </strong><?php echo e(\Carbon\Carbon::now()->locale('es')->isoFormat('D [de] MMMM [del] YYYY')); ?></p>

    </div>
    <div class="signature">
     <p style="margin-top: 50px; text-align: center;">
        _____________________________<br><br><br>
            Firma del Gerente
        </p>
    </div>
</div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</body>
</html>
<?php /**PATH /home/ficenc/public_html/sistemanichos/resources/views/lapida/export.blade.php ENDPATH**/ ?>