<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Recibo de Alquiler</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f4;
            margin: 0;
            padding: 0;
            color: #333;
        }
        .container {
            max-width: 800px;
            margin: 30px auto;
            padding: 20px;
            background-color: #fff;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        h1 {
            text-align: center;
            color: #4CAF50;
        }
        .header {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 20px;
        }
        .header-left, .header-right {
            flex: 1;
        }
        .header-left h2, .header-left p {
            margin: 0;
        }
        .header-right p {
            text-align: right;
            margin: 0;
        }
        .text-right {
            text-align: right;
        }
        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
        }
        th, td {
            border: 1px solid #ddd;
            padding: 12px;
            text-align: left;
        }
        th {
            background-color: #4CAF50;
            color: white;
        }
        tfoot {
            font-weight: bold;
        }
        .text-center {
            text-align: center;
        }
    </style>
</head>
<body>
<div class="container">
    <h1>Recibo de Pago de Alquiler</h1>
    <div class="header">
        <div class="header-right text-right">
            <h2>ID Recibo: A0000<?php echo e($alquiler->id); ?></h2>
        </div>
    </div>
    <div>
        <h2>Información del Cliente</h2>
        <p><strong>Cliente:</strong> <?php echo e($alquiler->arrendatario->nombre); ?></p>
        <p><strong>Documento:</strong> <?php echo e($alquiler->arrendatario->dni); ?></p>
        <p><strong>Fecha:</strong> <?php echo e(\Carbon\Carbon::now()->format('d/m/Y')); ?></p>
    </div>
    <div>
        <h2 class="text-center">Detalles del Alquiler</h2>
        <table>
            <thead>
            <tr>
                <th>Código</th>
                <th>Inmueble</th>
                <th>Meses</th>
                <th>Monto</th>
                <th>Total</th>
            </tr>
            </thead>
            <tbody>
            <?php $__currentLoopData = $alquiler->detallealquiler; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detalle): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($detalle->inmueble->id); ?></td>
                    <td><?php echo e($detalle->inmueble->direccion); ?></td>
                    <td><?php echo e($detalle->meses); ?></td>
                    <td><?php echo e(number_format($detalle->monto, 2)); ?></td>
                    <td><?php echo e(number_format($detalle->monto, 2)); ?></td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
            <tfoot>
            <tr>
                <td colspan="4" class="text-right"><strong>Subtotal:</strong></td>
                <td class="text-center"><?php echo e(number_format($alquiler->subtotal, 2)); ?></td>
            </tr>
            <tr>
                <td colspan="4" class="text-right"><strong>Monto Total:</strong></td>
                <td class="text-center"><?php echo e(number_format($alquiler->total, 2)); ?></td>
            </tr>
            </tfoot>
        </table>
    </div>
</div>
</body>
</html>
<?php /**PATH C:\xampp\htdocs\sistemanichos\resources\views/alquiler/export.blade.php ENDPATH**/ ?>